Bug 865817 - firewall-config not correctly displayed in the theme oxygen-gtk
firewall-config not correctly displayed in the theme oxygen-gtk
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: oxygen-gtk (Show other bugs)
18
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Rex Dieter
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-12 10:00 EDT by Alexei Panov
Modified: 2014-02-05 07:33 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 07:33:43 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
firewall-config in oxygen-gtk theme (62.04 KB, image/png)
2012-10-12 10:00 EDT, Alexei Panov
no flags Details
firewall-config in adwaita theme (kde) (68.66 KB, image/png)
2012-10-12 10:01 EDT, Alexei Panov
no flags Details
firewall-config in oxygen-gtk theme after switch from adwaita. (75.35 KB, image/png)
2012-10-12 10:02 EDT, Alexei Panov
no flags Details
firewall-config with downgraded gtk3 packages (65.50 KB, image/png)
2012-10-15 02:50 EDT, Alexei Panov
no flags Details

  None (edit)
Description Alexei Panov 2012-10-12 10:00:18 EDT
Created attachment 626010 [details]
firewall-config in oxygen-gtk theme

Description of problem:
When I run a firewall-config I can not see some of the information in the window (see attachments).
If I change the theme gtk-applications to Adwaita, everything is displayed correctly.
And if I change the theme to oxygen-gtk (as next step), too, everything displayed correct.

Version-Release number of selected component (if applicable):
firewall-config-0.2.8-1.fc18.noarch
oxygen-gtk-1.2.0-3.fc18.noarch

How reproducible:
All time

Steps to Reproduce:
1. Install Fedora 18 KDE or boot with LiveCD KDE
2. run firewall-config
3.
  
Actual results:
I can not see some of the information in the application.

Expected results:
The program window is displayed correctly.

Additional info:
I've set component firewalld because other gtk2/gtk3 applications displayed correctly with oxygen-gtk theme (as example: firefox, system-config-firewall, system-config-users).
Comment 1 Alexei Panov 2012-10-12 10:01:16 EDT
Created attachment 626011 [details]
firewall-config in adwaita theme (kde)
Comment 2 Alexei Panov 2012-10-12 10:02:40 EDT
Created attachment 626013 [details]
firewall-config in oxygen-gtk theme after switch from adwaita.
Comment 3 Thomas Woerner 2012-10-12 10:52:18 EDT
Firewall-config is not doing anything special with the theme.

firefox, system-config-firewall and system-config-users are using gtk2, but firewall-config is using gtk3.

It seems there are problems with the oxygen-gtk theme and also other themes with gtk3.

Reassigning to oxygen-gtk3.
Comment 4 nucleo 2012-10-12 14:24:15 EDT
Can you please check is downgrading gtk3 to gtk3-3.5.12-2.fc18 fixes bug?
Maybe this is the same bug as bug 864058
Comment 5 Alexei Panov 2012-10-12 16:25:21 EDT
I can check this only on Monday.
Sorry.
Comment 6 nucleo 2012-10-12 18:34:30 EDT
Downgrading gtk3 can be impossible if there are packages built against last gtk3 in your installation. Then you can try to test Fedora 18 Alpha LiveCD with gtk3-3.5.10-1.fc18 installed.
Comment 7 carasin 2012-10-13 08:29:45 EDT
I have this problem too.

// Fedora 18 beta TC3 with all the updates.
Comment 8 Alexei Panov 2012-10-15 02:50:25 EDT
Created attachment 627216 [details]
firewall-config with downgraded gtk3 packages
Comment 9 Alexei Panov 2012-10-15 02:53:34 EDT
I've checked with downgraded gtk3, see screenshot.
Information is visible, but theme ugly.
Comment 10 carasin 2012-10-24 06:54:39 EDT
Now I do not see this problem any more.
Comment 11 Fedora End Of Life 2013-12-21 04:06:43 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 12 Alexei Panov 2013-12-21 08:00:02 EST
I think it bug has fixed.
Comment 13 Fedora End Of Life 2014-02-05 07:33:46 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.